#
# Makefile.in - DESCRIPTION.
#
# Copyright (c) 2000, 2001, 2010 - Zephyr Software
#
# This file may be used and modified for non-commercial purposes as long as 
# all copyright, permission, and nonwarranty notices are preserved.  
# Redistribution is prohibited without prior written consent from Zephyr 
# Software.
#
# Please contact the authors for restrictions applying to commercial use.
#
# THIS SOURCE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
# MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
# Author: Zephyr Software
# e-mail: jwd@zephyr-software.com
# URL   : http://www.zephyr-software.com/
#
#

CC=@CC@
CFLAGS=@CFLAGS@
LIB=@LIB@
AR=@AR@
AS=@AS@

OBJS=datashadow.o datashadow_callbacks.o

TESTS=test_datashadow.exe

.SUFFIXES: .o .c

.c.o:
	$(CC) $(CFLAGS) $(INCLUDE) -c $<
	ar -r $(LIB) $*.o

all: $(OBJS) 
	@echo data shadow build complete

test: $(TESTS)

clean:
	rm -f *.o core *.exe

test_datashadow.exe: $(OBJS) test_datashadow.cpp
	g++ test_datashadow.cpp $(OBJS) -o $@
